Page MenuHomePhabricator

Special:SkinDistributor fails HTML validation
Closed, ResolvedPublic

Description

https://www.mediawiki.org/wiki/Special:SkinDistributor?extdistname=Timeless&extdistversion=master fails HTML validation: https://validator.w3.org/nu/?showsource=yes&doc=https%3A%2F%2Fwww.mediawiki.org%2Fwiki%2FSpecial%3ASkinDistributor%3Fextdistname%3DTimeless%26extdistversion%3Dmaster

Error: Element dl is missing a required child element.

From line 45, column 5; to line 45, column 8

↩</p>↩<dl><dd><a rel

Content model for element dl:

Either:Zero or more groups each consisting of one or more dt elements followed by one or more dd elements, optionally intermixed with script-supporting elements. 
Or: One or more div elements, optionally intermixed with script-supporting elements.

Error: An img element must have an alt attribute, except under certain conditions. For details, consult guidance on providing text alternatives for images.

From line 57, column 99; to line 57, column 159

tributor"><img src="/w/extensions/ExtensionDistributor/download.png" />Get an

Details

Related Gerrit Patches:
mediawiki/extensions/ExtensionDistributor : masterAdd alt="" to download arrow to improve HTML validity

Event Timeline

Fomafix created this task.Aug 15 2017, 2:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 15 2017, 2:59 PM
Bawolff added a subscriber: Bawolff.

The image issue should probably just have an alt text set to the empty string (in ExtensionDistributor/includes/specials/SpecialBaseDistributor.php )

The <dd> thing seems like a mediawiki parser issue (https://www.mediawiki.org/wiki/MediaWiki:Extdist-created-skins also fails validation), and not much to do about that.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 15 2017, 8:13 PM

Change 374025 had a related patch set uploaded (by Samtar; owner: Samtar):
[mediawiki/extensions/ExtensionDistributor@master] Add alt text to <img> tab

https://gerrit.wikimedia.org/r/374025

Samtar added a subscriber: Samtar.Aug 26 2017, 10:03 AM
Samtar claimed this task.Aug 26 2017, 10:06 AM
Samtar triaged this task as Medium priority.Aug 26 2017, 12:07 PM

Change 374025 merged by jenkins-bot:
[mediawiki/extensions/ExtensionDistributor@master] Add alt="" to download arrow to improve HTML validity

https://gerrit.wikimedia.org/r/374025

Fomafix closed this task as Resolved.Aug 29 2017, 7:53 PM
Fomafix removed a project: Patch-For-Review.

alt is resolved and verified with Nu Html Checker. <dd> is a general parser issue.